// JavaScript Document


//Déclaration de variables
var nb = 6;//nb d'images
var actuel = 0;//image courante
var imgsrep = 'images/';
var imgs = new Array();//tableau des images pour préchargement
var img1, img2;// objets jQuery pour les images
var t; // objet timer
var tempo = 5; //en sec
var fondu = 1 ; //en sec

//Création du tableau des sources : le nommage permet des structures algorithmiques élégantes
//Les images sont nommées image0.jpg, image1.jpg, .. 
for (i=0;i<nb;i++){
	imgs.push(imgsrep + 'image' + i + '.jpg');
}

function charge_images(){
	//on créé un img jQuery	virtuel dont on affecte la source -> provoque le chargement dans le cache
	$(imgs).each(function(){//pour chaque élément du tableau d'images -> pour chaque image
		$("<img/>").src = imgsrep + this;	//on affecte à la source d'un img virtuel la valeur de l'élément(this)
	});
}

//fonction changement d'image
function change_image(a){
	if (a>0){
		actuel=a-1;
	}
	actuel++; //on incrémente actuel(
	if(actuel===nb){actuel=0;} //Test de dépassement
	
	//Affectation de la nouvelle source à l'image du dessous
	if(img1.css('z-index')=='2'){//variables locales
		i1 = img1;
		i2 = img2;	
	}
	else{
		i2 = img1;
		i1 = img2;
	}
	i2.attr('src', imgs[actuel]);//nouvelle source
	i1.fadeOut(fondu*1000, function(){//Disparition en fondu PUIS
		i2.css('z-index', '2');//Echange des z-index
		i1.css('z-index', '1');
		i1.fadeIn(100);//On peut réafficher l'image
		}
	);
}

//installation de la bannière
$(document).ready(function(){//lorsque la page est chargée
    //préchargement des images
	charge_images();
	
	//création de 2 objets img
	img1 = $('<img />', {
			src : imgs[1],
			class : 'etire',
			css : {
				display : 'block',
				position : 'absolute',
				zIndex : '1'
			}
		}
	);
	img2 = $('<img />', {
			src : imgs[0],
			class : 'etire',
			css : {
				display : 'block',
				position : 'absolute',
				zIndex : '2'
			}
		}
	);
	
	//Insertion de l'élément dans la bannière
	img1.appendTo('#banniere');
	img2.appendTo('#banniere');
	
	//Animation : Démarrage du timer
	t = setInterval(change_image, tempo*1000);
	
	//Survol des liens de l'article
	$('#navi a').mouseenter(function(){
		//l'id renvoie à l'image -> à actuel
		change_image(parseInt($(this).attr('id'))); 
		
	});

});
